/*
    setSuffix.cc
  
    Copyright (C) 1998, 1999 Isaku Yamahata

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "setSuffix.h"


void setSuffix (char* fileName_, const char* suffix)
{
  const int suffixLength = strlen (suffix);
  const int fileNameLength = strlen (fileName_);
  for (int i = fileNameLength-suffixLength-1; i>=0; i--)
    {
      if (fileName_[i] == '.')
	{
	  strcpy (fileName_+i+1, suffix);
	  return;
	}
    }
}


void setSuffix (string& fileName_, const string& suffix)
{
  const int suffixLength = suffix.length ();
  const int fileNameLength = fileName_.length ();
  for (int i = fileNameLength-suffixLength-1; i>=0; i--)
    {
      if (fileName_[i] == '.')
	{
	  fileName_.erase (i+1);
	  fileName_ += suffix;
	  return;
	}
    }
}
