/*
    SourceFileItem.h
  
    Copyright (C) 1998, 1999 Isaku Yamahata

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef SourceFileItem_H
#define SourceFileItem_H

#include <string>

#include "util/mytype.h"

using namespace std;

class SourceFileItem
{
private:
  const int16 number;
  const string filename;
public:
  SourceFileItem (int16 number__, const string& filename__):
    number (number__), filename (filename__) {};
  ~SourceFileItem () {};

  int16 getNumber () const {return number;};
  const string& getFileName () const {return filename;};
};

#endif //SourceFileItem_H
