#ifndef EmulationConfig_H
#define EmulationConfig_H

class EmulationConfig
{
private:
  bool isBankSelectDisabled;


public:
  EmulationConfig ();
  ~EmulationConfig ();


  ////////////////////////////////////////setting method

  ////////////////////////////////////////access method
  
public:
  void readConfig (const string& fileName);
  void writeConfig (const string& fileName);

  //exceptional classes
  class ECError {};
  
  //for readConfig
  class FileIsNotFound:public ECError {};
  class SyntaxError:public ECError {};
  class UnexpectedEndOfFile:public ECError {};
  
  //for writeConfig
  class FileAlreadyExist:public ECError {};

  //for read/write
  class CanNotOpenFile:public ECError {};
};


#endif // EmulationConfig_H
