/*
    WidiController.h
  
    Copyright (C) 1998, 1999 Isaku Yamahata

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef WidiController_H
#define WidiController_H

class ServerCommand;
class SongManager;

//ServerCommandSongManagerĤˤޤȤ롣
struct WidiController
{
public:
  WidiController (ServerCommand* serverCommand__, SongManager* songManager__):
    serverCommand (serverCommand__), songManager (songManager__)
    {
      assert (serverCommand != NULL);
      assert (songManager != NULL);
    };
  
  ServerCommand* const serverCommand;
  SongManager* const songManager;
};
#endif // WidiController_H
