/*
    getEnvValue.h
  
    Copyright (C) 1998, 1999 Isaku Yamahata

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

//environment variable$B$+$i?tCM$rJV$9!#(B
//$B$b$7@_Dj$5$l$F$$$J$+$C$?$i(BdefualtValue$B$rJV$9!#(B
#include <cstdlib>
inline int getEnvValue (const char* environmentVariable, int defaultValue)
{
  const char* env = std::getenv (environmentVariable);
  if (env == NULL)
    return defaultValue;

  return std::atoi (env);
}
